Subject: wrong localized Date: charset

From: Benoit Rigaut <[email-masked]>
Date: Thu, 24 Sep 1998 15:07:11 +0200 (Heure d'�t� Paris Madrid)

I'm wondering if something has dramatically changed in the 4.x versions of
PC-PINE concerning the date of emitted mail messages on localized
platforms. 

I'm running Win95 French version, using the default charset as my pinerc
config. And the "Date:" field is filled using some localized date prefixed
with the charset X-UNKNOWN in place of the correct international date
format. Specifing the charset ISO-8859-1 or even US-ASCII is creating the
same wrong "Date:" field but prefixed by the charset setting in place of
X-UNKNOWN. 

Eg. Date: 
=?X-UNKNOWN?Q?Thu=2C_24_Sep_1998_14=3A30=3A51_+0200_=28Heure?==?X-UNKNOWN?Q?_d'=E9t=E9_Paris_Madrid
=29?=

Everything was fine with Pine 3.x with the default charset: mail dates
were using the normal date format. However specifing the charset
ISO-8859-1 or US-ASCII was also creating wrong "Date:" fields (same prefix
and same wrong localized date format). So I guess that something was
already wrong with the support of emitted date fields when using a special
charset.

Benoît Rigaut %^)

-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------